API ReferenceProviders

Get provider cost timeline

GET
/api/v1/providers/{provider_id}/costs/timeline

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

provider_id*string

Query Parameters

start?|

Start date in ISO 8601 format

end?|

End date in ISO 8601 format

granularity?string

Granularity: 'daily' or 'monthly'

Default"daily"
Match^(daily|monthly)$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/providers/string/costs/timeline"
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "provider_id": "string",
    "provider_name": "string",
    "granularity": "string",
    "start_date": "string",
    "end_date": "string",
    "data_points": [
      {
        "date": "string",
        "amount": 0
      }
    ],
    "total": 0
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "property1": null,
  "property2": null
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}